Subject: Re: [RFC][GENETLINK] move command capabilities to flags

From: jamal <[email-masked]>
Date: Mon, 04 Dec 2006 08:01:09 -0500

On Mon, 2006-04-12 at 10:20 +0100, Thomas Graf wrote:
> * jamal <[email-masked]> 2006-12-02 06:56
> > 
> > Dave,
> > If there is no objections on this approach, please apply this patch.
> > Against net-2.6.20
> > 
> > cheers,
> > jamal
> 
> > This patch moves command capabilities to command flags. Other than
> > being cleaner, saves several bytes.
> 
> Is it worth to save these 12 bytes by breaking compatibility? 

The savings bytes is one aspect; the other is the cleanliness.
transfering a boolean in that many bits is a little of overkill.
I think it is better to fix it now than later.
I know you mentioned libnl uses it. But that is something you can change
on your side. I dont know of any other app that uses it. 

> If you
> really want to do it, remove the obsoleted attribute types, I don't
> like dead bodies laying around :-)

I could resend the patch getting rid of those definitions. 

cheers,
jamal